package org.jim.common.packets;

/**
 * @author Darren
 * @date 2020/2/13 17:58
 */
public class InputIndicatorReqBody extends Message {

    /**
     * 消息发到哪个群组;
     */
    private String group_id;
    /**
     * 聊天类型;(如公聊、私聊)
     */
    private Integer chatType;
    /**
     * 发送用户id;
     */
    private String from;

    private InputIndicatorReqBody() {
    }

    private InputIndicatorReqBody(String group_id, Integer chatType, String from) {
        this.group_id = group_id;
        this.chatType = chatType;
        this.from = from;
    }

    public static InputIndicatorReqBody.Builder newBuilder(){
        return new InputIndicatorReqBody.Builder();
    }

    public String getGroup_id() {
        return group_id;
    }

    public InputIndicatorReqBody setGroup_id(String group_id) {
        this.group_id = group_id;
        return this;
    }

    public Integer getChatType() {
        return chatType;
    }

    public InputIndicatorReqBody setChatType(Integer chatType) {
        this.chatType = chatType;
        return this;
    }

    public String getFrom() {
        return from;
    }

    public InputIndicatorReqBody setFrom(String from) {
        this.from = from;
        return this;
    }

    public static class Builder extends Message.Builder<InputIndicatorReqBody,InputIndicatorReqBody.Builder>{

        /**
         * 消息发到哪个群组;
         */
        private String group_id;
        /**
         * 聊天类型;(如公聊、私聊)
         */
        private Integer chatType;
        /**
         * 发送用户id;
         */
        private String from;

        public Builder setGroup_id(String group_id) {
            this.group_id = group_id;
            return this;
        }

        public Builder setChatType(Integer chatType) {
            this.chatType = chatType;
            return this;
        }

        public Builder setFrom(String from) {
            this.from = from;
            return this;
        }

        @Override
        protected Builder getThis() {
            return this;
        }

        @Override
        public InputIndicatorReqBody build() {
            return new InputIndicatorReqBody(this.group_id, this.chatType, this.from);
        }
    }


}
